package kr.co.uplus.ez.api.custMgt.dto;

import java.io.Serializable;

import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

@SuppressWarnings("serial")
@Data
public class UserListResDto extends ResponseMessage implements Serializable{

	// 데이터.
		private UserListRes data;

		public UserListResDto() {
			this.retCode = ApiResponseCode.SUCCESS.getResultCode();
			this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
		}

		public UserListResDto(ApiResponseCode returnStr) {
			this.retCode = returnStr.getResultCode();
			this.retMsg = returnStr.getResultMsg();
		}

		public UserListResDto(ApiResponseCode returnStr, UserListRes data) {
			this.retCode = returnStr.getResultCode();
			this.retMsg = returnStr.getResultMsg();
			this.data = data;
		}
}
